Bug 5592 - circ rule cloning can be dangerous
Summary: circ rule cloning can be dangerous
Status: RESOLVED MOVED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-07 15:56 UTC by Galen Charlton
Modified: 2019-03-16 11:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Galen Charlton 2011-01-07 15:56:57 UTC
The clone circ rules widget on the circ rules page unconditionally deletes the target library's existing rules and replaces them with copies of the rules from the source library.  Consequently, if the clone rule button is accidentally clicked, a lot of configuration work can be destroyed in an instant.

To avoid this:

* there should *always* be a required confirmation step, whether the clone-rules.pl script is accessed directly or via the smart-rules.pl page
* even better, a backup copy of the previous version of the target library's rules could be made

The library who ran into this bug had tried cloning the rules form a different library because they thought that would be a way to copy over that library's rules and add them to the rules that the target library had previously entered -- that kind of cloning-via-merge feature also seems like a good idea, in fact.
Comment 1 Paul Poulain 2016-06-04 09:16:58 UTC
Issue still here in 16.05
Comment 2 Alex Buckley 2017-08-27 23:38:42 UTC
Hi

The patch I have attached to bug 19029 partially addresses the issues in this bug report. 

My patch provides a JavaScript security question asking the user to confirm that they want to Clone the circulation and fine rules when the Select a library option is set to 'Standard rules for all libraries'.
Comment 3 Katrin Fischer 2019-03-16 11:13:15 UTC
- confirmation step has been added
- Bug 16544 - Changes to circ rules should be logged deals with logging/backup

Closing this as RESOLVED MOVED.